## fo-error

fo-error —

## Synopsis

    struct      FoError;
    struct      FoErrorClass;
    FoDatatype* fo_error_new                    (void);
    FoDatatype* fo_error_new_with_value         (GError *value);
    GError*     fo_error_get_value              (FoDatatype *error);

## Description

## Details

### struct FoError

    struct FoError;

### struct FoErrorClass

    struct FoErrorClass;

### fo_error_new ()

    FoDatatype* fo_error_new                    (void);

Creates a new FoError initialized to default value.

Returns : | The new FoError

### fo_error_new_with_value ()

    FoDatatype* fo_error_new_with_value         (GError *value);

Creates a new FoError set to `value`

`value` : | Error of the new FoError
Returns : | The new FoError

### fo_error_get_value ()

    GError*     fo_error_get_value              (FoDatatype *error);

Get the value of `error`

`error` : | FoError
Returns : | GError